# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nex-datalink"
version = "0.26.0"
authors = ["shellrow <shellrow@foctal.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Provides cross-platform datalink layer networking. Part of nex project."
readme = "README.md"
keywords = ["network"]
categories = ["network-programming"]
license = "MIT"
repository = "https://github.com/shellrow/nex"
resolver = "2"

[features]
pcap = ["dep:pcap"]
serde = [
    "dep:serde",
    "nex-core/serde",
]

[lib]
name = "nex_datalink"
path = "src/lib.rs"

[dependencies.bytes]
version = "1"

[dependencies.futures-core]
version = "0.3"

[dependencies.libc]
version = "0.2"

[dependencies.nex-core]
version = "0.26.0"

[dependencies.nex-sys]
version = "0.26.0"

[dependencies.pcap]
version = "2.0"
optional = true

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[dev-dependencies.futures]
version = "0.3"

[target."cfg(windows)".dependencies.windows-sys]
version = "0.61"
features = [
    "Win32_Foundation",
    "Win32_Networking_WinSock",
    "Win32_System_IO",
    "Win32_System_Threading",
    "Win32_System_WindowsProgramming",
]
